<?php
/*******************************************************************************
** Control Panel to use with Brocap Reference Install 1.0 - 2006-Mar-05       **
** ====================================================================       **
** Copyright (C) 2006 Yuval Levy                                              **
** All rights reserved.                                                       **
**                                                                            **
** installation: just copy this file to your webserver and link it there      **
**               where you want users to determine their settings.            **
**               Feel free to change the look and feel of the HTML page.      **
**               If your site does not support one of the listed plug ins     **
**               remove it from the list below by commenting it out to        **
**               avoid confusion.                                             **
** important note: will not check for consistency, i.e. users can choose      **
**                 a plug in that they do not have.                           **
**                                                                            **
*******************************************************************************/
$plugin['DEL']='No preference';
//$plugin['HAS_JAVA']='Java / ptviewer';
$plugin['HAS_QT']='QuickTime';
$plugin['HAS_SHOCKWAVE']='Shockwave / SPi-V';
$plugin['HAS_FLASH']='Flash';
//$plugin['HAS_GLPANOVIEW']='GLPanoview';
//$plugin['HAS_ZOOMIFY']='Zoomify';
$plugin['HAS_PANGEAVR']='PangeaVR';
$plugin['HAS_DEVALVR']='DevalVR';
//$plugin['HAS_VOLUMEPHOTOVIEWER']='Volume Photo Viewer';
//$plugin['HAS_IPIX']='iPix';
/*******************************************************************************
** read current choice and target file                                        **
*******************************************************************************/
$sel='';
if(isset($_COOKIE['brocap_plugin'])){
	$sel=$_COOKIE['brocap_plugin'];
}
$text='';
if(isset($_GET['file'])){
	$file=$_GET['file'];
	$text.='<p>The system was not able to detect any appropriate panorama technology. ';
	$text.='This may be due to JavaScript disabled or to the lack of plugins in the browser. ';
	$text.='<strong>If JavaScript is disabled, please enable it, close your browser and come back again. </strong>';
	$text.='To interact with our panoramas, download and install one of the technolgies ';
	$text.='listed below. If you are sure that you have one of them, select it in the ';
	$text.='drop down menu below to let the system know and continue to the panorama. ';
	$text.='<strong>WARNING: if you do not have the choosen plug in the page will not display properly. </strong></p>';
	$text.='<p>Downloads</p>';
	$text.='<ul>';
	$text.='<li><a href="http://www.devalvr.com/install" target="_blank">DevalVR</a> 220Kb for Windows only</li>';
	$text.='<li><a href="http://www.adobe.com/go/getflashplayer/" target="_blank">Flash >= Version 8</a> 1 MB.</li>';
	$text.='<li><a href="http://www.pangeasoft.net/pano/plugin/downloads.html" target="_blank">PangeaVR</a> 258Kb for Mac only</li>';
//	$text.='<li><a href="http://sinnfrei.at/glpanoview/" target="_blank">GLPanoView</a> 1,6MB for Windows only</li>';
	$text.='<li><a href="http://www.macromedia.com/shockwave/download/" target="_blank">ShockWave 10</a> 2,4MB.</li>';
//	$text.='<li><a href="http://jdl.sun.com/webapps/getjava/BrowserRedirect?locale=en&host=www.java.com" target="_blank">Java</a> 16MB.</li>';
	$text.='<li><a href="http://www.apple.com/quicktime/download/standalone.html" target="_blank">QuickTime 7</a> 20MB standalone.</li>';
	$text.='</ul>';
}
$text.='<p>Please select your preferred viewer:</p>';
/*******************************************************************************
** if the user has expressed a preference, record it                          **
*******************************************************************************/
if(isset($_POST['choice'])){
	$choice=$_POST['choice'];
	$sel=$choice;
	if($choice=='DEL'){
		setcookie('brocap_plugin','',time()-3500);
		$choice='preference deleted';
	}else{
		setcookie('brocap_plugin',$choice,time()+3500);
		$choice='The next panorama you select from this site will open with '.$plugin[$choice];
	}
	if(isset($_POST['file'])){
		header('Location: birdcap.php?pano='.$_POST['file']);
		exit();
	}
}
/*******************************************************************************
** generate form element for plug in choice                                   **
*******************************************************************************/
$select='<select name="choice" onChange="submit()">';
reset($plugin);
while(list($k,$v)=each($plugin)){
	$select.='<option value="'.$k.'"';
	if($sel==$k){
		$select.=' selected';
	}
	$select.='>'.$v.'</option>';
}
$select.='</select>';
/*******************************************************************************/
?>
<html>
<head>
<link rel="stylesheet" type="text/css" href="../formate.css">
<style type="text/css">
<!--
body {margin:20px; padding:10px;
}
-->
</style>
</head>
<body>
<?php if(isset($text)){echo $text;}?>
<p><?php if(isset($choice)){echo $choice;}?>&nbsp;</p>
<form method="post" action="cp.php">
<?php echo $select;
if(isset($file)){echo '<input type="hidden" name="file" value="'.$file.'">';
} else {
  ?>
    <br><br>
	<form method="post">
	<input type="button" value="Close Window"
	onclick="window.close()">
	</form>
  <?
}

?>
</form>
</body>
